CVE-2023-27538

medium

Description

An authentication bypass vulnerability exists in libcurl prior to v8.0.0 where it reuses a previously established SSH connection despite the fact that an SSH option was modified, which should have prevented reuse. libcurl maintains a pool of previously used connections to reuse them for subsequent transfers if the configurations match. However, two SSH settings were omitted from the configuration check, allowing them to match easily, potentially leading to the reuse of an inappropriate connection.

References

https://hackerone.com/reports/1898475

https://lists.debian.org/debian-lts-announce/2023/04/msg00025.html

https://security.gentoo.org/glsa/202310-12

https://security.netapp.com/advisory/ntap-20230420-0010/

Details

Source: Mitre, NVD

Published: 2023-03-30

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Severity: Medium